const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: true, name: '查询比赛', leftArrow: false, useBar: true },
    // 主体高度
    infoHeight: '',
    currentTab: 0,
    list: []
  },
  back: function () {
    wx.navigateBack({ url: '/pages/home/index' })
  },
  tabPath: function (e) {
    let { route } = e.detail.detail;
    if (route) wx.redirectTo({ url: `/${route}` })
  },
  //点击切换
  clickTab: function (e) {
    const that = this;
    if (that.data.currentTab === e.target.dataset.current) return false;
    else that.setData({ currentTab: e.target.dataset.current });
    that.watchLogin();
  },
  // 开启左右滑动
  bindchange: function (e) {
    var that = this
    const { current, source } = e.detail;
    if (source) that.setData({ currentTab: current });
    else return false;
    that.watchLogin();
  },
  // 查看详情
  toView: function (e) {
    console.log(e);
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 计算高度
    this.searchHeight();
    // 监听用户是否登录
    this.watchLogin();
  },
  // 监听用户是否登录
  watchLogin: function () {
    const that = this;
    let type = that.data.currentTab;
    let status = type == '0' ? 2 : 4;
    wx.getStorage({
      key: 'token',
      success: res => {
        wx.request({
          url: `${app.globalData.publicUrl}/courtAdmin/api/match`, //接口地址
          method: 'get',
          // data: { status: status },
          data: {},
          success(res) {
            if (res.data.errcode == 0) {
              that.setData({ list: res.data.data })
            } else {
              wx.showToast({ title: res.data.errmsg, icon: 'error', duration: 2000 })
            }
          }
        })
      },
      fail: res => {
        wx.redirectTo({ url: '/pages/index/index', })
      }
    })
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    let infoHeight = client.windowHeight;
    // 是否去掉状态栏
    if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})